.highlight_box {
    background-color: #eee;

    border: 0;
    border-radius: 5px;
    border-left: 8px solid;

    margin-bottom: 24px;
    margin-top: 10px;
    padding: 12px 20px;
}

.highlight_box :is(h1, h2, h3, h4, h5, h6) {
    margin-top: 0;
    padding-top: 0;
}

.highlight_box .title::before, .highlight_box .box-icon {
    margin-right: 10px;
}

.highlight_box p {
    margin: 4px 0;
}

.highlight_box p + ul, .highlight_box p + ol {
    margin-top: 0.6em;
}

.highlight_box .title_container {
    display: flex;
    align-items: center;
    font-weight: bold;
}

.highlight_box .box_icon {
    margin-right: 10px;
}

/* Info */

.highlight_box.info {
    border-color: #3076b8;
    background-color: color-mix(in srgb, white 90%, #3076b8);
}

.highlight_box.info .title_container {
    color: #3076b8;
}

/* Warning */

.highlight_box.warning {
    border-color: #d29922;
    background-color: color-mix(in srgb, white 90%, #d29922);
}

.highlight_box.warning .title_container {
    color: #d29922;
}

/* Danger */

.highlight_box.danger {
    border-color: #dd3737;
    background-color: color-mix(in srgb, white 90%, #dd3737);
}

.highlight_box.danger .title_container {
    color: #dd3737;
}

/* Exercise */

.highlight_box.exercise {
    border-color: #8957e5;
    background-color: color-mix(in srgb, white 90%, #8957e5);
}

.highlight_box.exercise .title_container {
    color: #8957e5;
}

/* Hint */

.highlight_box.hint {
    border-color: #2ea656;
    background-color: color-mix(in srgb, white 90%, #2ea656);
}

.highlight_box.hint .title_container {
    color: #2ea656;
}
